<?php
/*
 * Tutorial: How to Modify a Post Type in WordPress
 * URL: https://www.rafaelcardero.com/tutorials/how-to-modify-a-post-type-in-wordpress/
 */

/* -----------------------------------------------------------------------------
 * - Example
 * ---------------------------------------------------------------------------*/

/*
 * Updates the 'ns_testimonial_cpt' post type while it is being registered.
 */
function ns_update_testimonial_cpt($args, $post_type){

    if($post_type == 'ns_testimonial_cpt'){
        $args['has_archive'] = true; 
        $args['rewrite'] = array('slug' => 'testimonials');
        $args['query_var'] = 'testimonial';
    }
    return $args;
}
add_filter('register_post_type_args', 'ns_update_testimonial_cpt', 10, 2);